| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.OutputStage.LinearOutput Class Reference
Inheritance diagram for optoKummenberg.registers.OutputStage.LinearOutput:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SetCurrentLimit (self, value)
def | GetCurrentLimit (self)
def | GetChannelNumber (self)
def | GetOutputCurrent (self)
def | SetAverageLimitPeriod (self, value)
def | GetAverageLimitPeriod (self)
def | SetAverageLimitSum (self, value)
def | GetAverageLimitSum (self)
def | SetCooldownPeriod (self, value)
def | GetCooldownPeriod (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| current_limit
| channel_number
| output_current
| avg_limit_period
| avg_limit_sum
| cooldown_period
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Device Functionality - Firmware Status
    System ID: 0xE8 through 0xEF

    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name      | Id   | Type        | Unit | Range | Default | Comment                                          |
    +====================+======+=============+======+=======+=========+==================================================+
    |current_limit       | 0x00 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | channel_number     | 0x01 |uint 32-bit  |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | output_current     | 0x02 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | avg_limit_period   | 0x03 |uint 32-bit  |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | avg_limit_sum      | 0x03 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | cooldown_period    | 0x04 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | min_integral       | 0x05 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.OutputStage.LinearOutput.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetAverageLimitPeriod()

def optoKummenberg.registers.OutputStage.LinearOutput.GetAverageLimitPeriod | ( |  | self | ) |

## ◆ GetAverageLimitSum()

def optoKummenberg.registers.OutputStage.LinearOutput.GetAverageLimitSum | ( |  | self | ) |

## ◆ GetChannelNumber()

def optoKummenberg.registers.OutputStage.LinearOutput.GetChannelNumber | ( |  | self | ) |

## ◆ GetCooldownPeriod()

def optoKummenberg.registers.OutputStage.LinearOutput.GetCooldownPeriod | ( |  | self | ) |

## ◆ GetCurrentLimit()

def optoKummenberg.registers.OutputStage.LinearOutput.GetCurrentLimit | ( |  | self | ) |

## ◆ GetOutputCurrent()

def optoKummenberg.registers.OutputStage.LinearOutput.GetOutputCurrent | ( |  | self | ) |

## ◆ help()

def optoKummenberg.registers.OutputStage.LinearOutput.help | ( |  | ) |
| static

## ◆ SetAverageLimitPeriod()

def optoKummenberg.registers.OutputStage.LinearOutput.SetAverageLimitPeriod | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetAverageLimitSum()

def optoKummenberg.registers.OutputStage.LinearOutput.SetAverageLimitSum | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetCooldownPeriod()

def optoKummenberg.registers.OutputStage.LinearOutput.SetCooldownPeriod | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetCurrentLimit()

def optoKummenberg.registers.OutputStage.LinearOutput.SetCurrentLimit | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ avg_limit_period

optoKummenberg.registers.OutputStage.LinearOutput.avg_limit_period

## ◆ avg_limit_sum

optoKummenberg.registers.OutputStage.LinearOutput.avg_limit_sum

## ◆ channel_number

optoKummenberg.registers.OutputStage.LinearOutput.channel_number

## ◆ cooldown_period

optoKummenberg.registers.OutputStage.LinearOutput.cooldown_period

## ◆ current_limit

optoKummenberg.registers.OutputStage.LinearOutput.current_limit

## ◆ name

optoKummenberg.registers.OutputStage.LinearOutput.name

## ◆ output_current

optoKummenberg.registers.OutputStage.LinearOutput.output_current

## ◆ sys_id

optoKummenberg.registers.OutputStage.LinearOutput.sys_id

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/registers/OutputStage.py